package com.ktg.iscs.domain.constant;

import com.ktg.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    /**********************************  作业票  **********************************/
    ErrorCode JOB_TICKET_NOT_EXISTS = new ErrorCode(1_005_001_001, "作业票不存在！");
    ErrorCode JOB_TICKET_STATUS_NOT_PERMITTED = new ErrorCode(1_005_001_002, "作业票当前状态您无法操作！");
    ErrorCode JOB_TICKET_STATUS_FINISHED = new ErrorCode(1_005_001_003, "作业票已结束！");


    /**********************************  作业票用户  **********************************/
    ErrorCode JOB_TICKET_USER_NOT_EXISTS = new ErrorCode(1_006_001_001, "没有作业票关联人员！");
    ErrorCode JOB_TICKET_USER_NOT_INCLUDED = new ErrorCode(1_006_001_002, "该作业票您未参与！");
    ErrorCode JOB_TICKET_USER_WAIT_TO_LOCK = new ErrorCode(1_006_001_003, "请等待上锁！");
    ErrorCode JOB_TICKET_USER_JOB_IS_DONE = new ErrorCode(1_006_001_004, "您已完成该作业票，无需继续操作！");
    ErrorCode JOB_TICKET_USER_WAIT_COLOCKERS = new ErrorCode(1_006_001_005, "请等待共锁人解锁！");
    ErrorCode JOB_TICKET_USER_EQUIPMENT_STATUS_NULL = new ErrorCode(1_006_001_006, "请传递设备拿取情况！");
}
